Create Observe ID list
curl --request POST \
--url https://api.cloud.corbado.io/v1/observe/idLists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"flowIDs": [
"<string>"
]
}
'import requests
url = "https://api.cloud.corbado.io/v1/observe/idLists"
payload = {
"type": "<string>",
"flowIDs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', flowIDs: ['<string>']})
};
fetch('https://api.cloud.corbado.io/v1/observe/idLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"count": 123,
"createdMs": 123
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Saved ID lists
Create Observe ID list
Stores a project-scoped flow ID selection and returns a short ID-list handle.
Required API key permission: observe:idLists:write.
POST
/
observe
/
idLists
Create Observe ID list
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Body
application/json
Response
Observe ID list created.
Was this page helpful?